<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Digitale Dörfer Plattform
  ~ Copyright (C) Fraunhofer IESE 2024 Balthasar Weitzel
  ~
  ~ SPDX-License-Identifier: Apache-2.0
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<ruleset
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://mojo.codehaus.org/versions-maven-plugin/rule/2.0.0"
        comparisonMethod="maven"
        xsi:schemaLocation="http://mojo.codehaus.org/versions-maven-plugin/rule/2.0.0 https://www.mojohaus.org/versions-maven-plugin/xsd/rule-2.0.0.xsd">
    <ignoreVersions>
        <ignoreVersion type="regex">
            .*(alpha|Alpha|ALPHA|b|beta|Beta|BETA|rc|RC|M|EA|incubating|preview|jre11|jre12|jre13)+.*
        </ignoreVersion>
    </ignoreVersions>
    <rules>
        <rule groupId="com.h2database" comparisonMethod="maven">
            <ignoreVersions>
                <ignoreVersion>1.4.200</ignoreVersion> <!-- Slows down the tests too much -->
            </ignoreVersions>
        </rule>
    </rules>
</ruleset>